UNIT CodeResource;

INTERFACE

	USES
		OSUtils;

	TYPE
		plugInParameterNumber=RECORD
			realPart,imPart:Double;					{ parties relle et imaginaire }
		END;
		plugInParameterArray=ARRAY[0..0] OF plugInParameterNumber;
		plugInParameterPtr=^plugInParameterArray;
		plugInParameterHandle=^plugInParameterPtr;
		
		trigoMode=(deg,rad,grad);

	{$MAIN}
	PROCEDURE main(params:plugInParameterHandle;mode:trigoMode);

IMPLEMENTATION
	
	USES
		fp;


{ ============================================================================
  Procdure principale (n'apporter les modifications qu' cette procdure!)
  
    params     Paramtres en entre (champs 1,2,...)
               Rsultat en retour   (champ 0)
  ============================================================================ }
  
	PROCEDURE main(params:plugInParameterHandle;mode:trigoMode);
	{ ========================
	  Constantes, variables:
	  ======================== }
	VAR
		sum:Double;
		
	BEGIN
	{ ========================
	  Calcul:
	  ======================== }
	
		{...}
		sum:=params^^[1].realPart		{ partie relle du premier paramtre }
		     +params^^[2].imPart;		{ partie imaginaire du second paramtre }
		
	{ ========================
	  Rsultat:
	  ======================== }
	 	params^^[0].realPart:=sum;
	 	params^^[0].imPart:=0;			{ toujours remplir les deux champs de params^^[0]! }
	END;

END.	